curl --request GET \
--url https://api.cloudglue.dev/v1/segmentations/{segmentation_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/segmentations/{segmentation_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/segmentations/{segmentation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": 1,
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segmentation_config": {
"strategy": "uniform",
"uniform_config": {
"window_seconds": 60.5,
"hop_seconds": 60.5
},
"shot_detector_config": {
"detector": "adaptive",
"threshold": 123,
"min_seconds": 300.3,
"max_seconds": 300.5,
"fill_gaps": true
},
"manual_config": {
"segments": [
{
"start_time": 123,
"end_time": 123
}
]
},
"narrative_config": {
"prompt": "<string>",
"strategy": "comprehensive",
"number_of_chapters": 2,
"min_chapters": 2,
"max_chapters": 2
},
"keyframe_config": {
"frames_per_segment": 4,
"max_width": 2232
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"thumbnails_config": {
"enable_segment_thumbnails": true
},
"total_segments": 1,
"total_shots": 1,
"total_chapters": 1,
"data": {
"object": "list",
"total": 123,
"limit": 123,
"offset": 123,
"segments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"end_time": 123,
"thumbnail_url": "<string>"
}
],
"shots": [
{
"index": 123,
"start_time": 1,
"end_time": 1
}
],
"chapters": [
{
"index": 123,
"start_time": 1,
"end_time": 1,
"description": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Get Segmentation
Retrieve details about a specific segmentation including its segments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the segmentation to retrieve
Query Parameters
Number of segments to return
1 <= x <= 100Offset from the start of the segments list
x >= 0Response
Segmentation details
Unique identifier for the segmentation job
Status of the segmentation job. If a job has the status 'not_applicable' it means that we were unable to find any appropriate scenes for this video. This can be possible if you use the shot-detector strategy.
pending, processing, completed, failed, not_applicable Unix timestamp in milliseconds when the segmentation was created
x >= 0ID of the file this segmentation belongs to
Configuration for video segmentation. Choose a strategy and provide ONLY the corresponding config:
• uniform: Provide uniform_config, do NOT provide other configs
• shot-detector: Provide shot_detector_config, do NOT provide other configs
• manual: Provide manual_config, do NOT provide other configs
• narrative: Provide narrative_config, do NOT provide other configs
Optionally specify start_time_seconds and end_time_seconds to limit segmentation to a portion of the video.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Total number of segments in this segmentation (only present when status is completed)
x >= 0Total number of shots in this segmentation (only present when status is completed and segmentation_config.strategy is 'shot-detector')
x >= 0Total number of chapters in this segmentation (only present when status is completed and segmentation_config.strategy is 'narrative')
x >= 0Segment data with pagination (only present when status is completed and segments exist)
Show child attributes
Show child attributes